<?php

use App\Http\Controllers\LogoController;
use App\Models\Airline;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('airlines', function (Blueprint $table) {
            $table->string('logo', 255)->nullable()->change();
        });


        LogoController::nullMissingLogoFiles();
        $this->deDuplicateLogos();
        $this->checkNonDuplicateLogos();

        Airline::whereNull('logo')->delete();

    }

    private function checkNonDuplicateLogos(){
        LogoController::deduplicateLogo('0V.png', ['vasco']);
        LogoController::deduplicateLogo('2I.png', ['star-up']);
        LogoController::deduplicateLogo('2H.png', []);
        LogoController::deduplicateLogo('2J.png', ['air-burkina']);
        LogoController::deduplicateLogo('2M.png', []);
        LogoController::deduplicateLogo('2P.png', ['air-philippines-corporation-dba-pal-express-and-airphil-express']);
        LogoController::deduplicateLogo('2R.png', []);
        LogoController::deduplicateLogo('3F.png', []);
        LogoController::deduplicateLogo('3H.png', ['air-inuit-ltd-ltee']);
        LogoController::deduplicateLogo('3R.png', []);
        LogoController::deduplicateLogo('3S.png', []);
        LogoController::deduplicateLogo('3U.png', ['sichuan-airlines']);
        LogoController::deduplicateLogo('4C.png', ['lan-colombia-airlines']);
        LogoController::deduplicateLogo('4D.png', []);
        LogoController::deduplicateLogo('4G.png', ['gazpromavia-aviation-ltd']);
        LogoController::deduplicateLogo('4I.png', []);
        LogoController::deduplicateLogo('4K.png', []);
        LogoController::deduplicateLogo('4N.png', ['air-north-charter-and-training']);
        LogoController::deduplicateLogo('4W.png', []);
        LogoController::deduplicateLogo('4Z.png', ['airlink']);
        LogoController::deduplicateLogo('5A.png', []);
        LogoController::deduplicateLogo('5C.png', []);
        LogoController::deduplicateLogo('5G.png', []);
        LogoController::deduplicateLogo('5J.png', ['cebu-pacific-air']);
        LogoController::deduplicateLogo('5K.png', []);
        LogoController::deduplicateLogo('5M.png', []);
        LogoController::deduplicateLogo('5N.png', []);
        LogoController::deduplicateLogo('5U.png', ['transportes-aereos-guatemaltecos-s']);
        LogoController::deduplicateLogo('5X.png', ['ups-airlines']);
        LogoController::deduplicateLogo('6H.png', ['israir']);
        LogoController::deduplicateLogo('6L.png', ['aklak']);
        LogoController::deduplicateLogo('6O.png', []);
        LogoController::deduplicateLogo('6W.png', []);
        LogoController::deduplicateLogo('7J.png', ['ojsc-tajik-air']);
        LogoController::deduplicateLogo('7R.png', ['joint-stock-aviation-rusline']);
        LogoController::deduplicateLogo('8D.png', ['fitsair']);
        LogoController::deduplicateLogo('8E.png', ['bering-air']);
        LogoController::deduplicateLogo('8N.png', ['regional-air']);
        LogoController::deduplicateLogo('8T.png', ['air-tindi-8t']);
        LogoController::deduplicateLogo('8V.png', []);
        LogoController::deduplicateLogo('8Z.png', []);
        LogoController::deduplicateLogo('9C.png', []);
        LogoController::deduplicateLogo('9M.png', []);
        LogoController::deduplicateLogo('9Q.png', ['caicos-express-airways']);
        LogoController::deduplicateLogo('A0.png', []);
        LogoController::deduplicateLogo('A3.png', ['aegean-airlines']);
        LogoController::deduplicateLogo('A4.png', []);
        LogoController::deduplicateLogo('A5.png', ['hop']);
        LogoController::deduplicateLogo('A6.png', []);
        LogoController::deduplicateLogo('A8.png', []);
        LogoController::deduplicateLogo('A9.png', ['georgian-airways']);
        LogoController::deduplicateLogo('AA.png', ['american-airlines']);
        LogoController::deduplicateLogo('AB.png', ['bonza']);
        LogoController::deduplicateLogo('AC.png', ['air-canada']);
        LogoController::deduplicateLogo('AF.png', ['air-france']);
        LogoController::deduplicateLogo('AH.png', ['air-algerie']);
        LogoController::deduplicateLogo('AI.png', ['air-india']);
        LogoController::deduplicateLogo('AR.png', ['aerolineas-argentinas']);
        LogoController::deduplicateLogo('AS.png', ['alaska-airlines']);
        LogoController::deduplicateLogo('AT.png', ['royal-air-maroc']);
        LogoController::deduplicateLogo('AV.png', ['avianca']);
        LogoController::deduplicateLogo('AY.png', ['finnair']);
        LogoController::deduplicateLogo('AZ.png', ['alitalia']);
        LogoController::deduplicateLogo('B0.png', ['dreamjet-sas-t-a-la-compagnie']);
        LogoController::deduplicateLogo('B2.png', ['belavia-belarusian-airlines']);
        LogoController::deduplicateLogo('B4.png', []);
        LogoController::deduplicateLogo('B9.png', ['iran-air-tours']);
        LogoController::deduplicateLogo('BP.png', ['air-botswana']);
        LogoController::deduplicateLogo('BW.png', ['caribbean-airlines']);
        LogoController::deduplicateLogo('BY.png', []);
        LogoController::deduplicateLogo('CI.png', ['china-airlines']);
        LogoController::deduplicateLogo('CM_1.png', ['copa-airlines']);
        LogoController::deduplicateLogo('CO_1.png', ['continental-airlines']);
        LogoController::deduplicateLogo('CU.png', ['cubana']);
        LogoController::deduplicateLogo('CX.png', ['cathay-pacific']);
        LogoController::deduplicateLogo('CY.png', ['cyprus-airways']);
        LogoController::deduplicateLogo('D0.png', ['dhl-air']);
        LogoController::deduplicateLogo('D3.png', ['daallo-airlines']);
        LogoController::deduplicateLogo('D4.png', []);
        LogoController::deduplicateLogo('D6.png', []);
        LogoController::deduplicateLogo('D8.png', ['norwegian-air-international']);
        LogoController::deduplicateLogo('D9.png', []);
        LogoController::deduplicateLogo('DE.png', ['condor']);
        LogoController::deduplicateLogo('DJ_1.png', ['virgin-blue-airlines']);
        LogoController::deduplicateLogo('DL.png', ['delta-air-lines']);
        LogoController::deduplicateLogo('DT.png', ['taag-angola-airlines']);
        LogoController::deduplicateLogo('EI.png', ['aer-lingus']);
        LogoController::deduplicateLogo('ET.png', ['ethiopian-airlines']);
        LogoController::deduplicateLogo('FG.png', ['ariana-afghan-airlines']);
        LogoController::deduplicateLogo('FI.png', ['icelandair']);
        LogoController::deduplicateLogo('FJ.png', ['air-pacific']);
        LogoController::deduplicateLogo('G4.png', ['allegiant-air']);
        LogoController::deduplicateLogo('G5.png', ['china-express-airlines']);
        LogoController::deduplicateLogo('G9.png', ['air-arabia']);
        LogoController::deduplicateLogo('GA.png', ['garuda']);
        LogoController::deduplicateLogo('GL.png', ['air-greenland-a-s']);
        LogoController::deduplicateLogo('GU.png', []);
        LogoController::deduplicateLogo('H2.png', []);
        LogoController::deduplicateLogo('HA.png', ['hawaiian-airlines']);
        LogoController::deduplicateLogo('HF.png', ['air-cote-d-ivoire']);
        LogoController::deduplicateLogo('I4.png', ['scott-air']);
        LogoController::deduplicateLogo('I7.png', []);
        LogoController::deduplicateLogo('I9.png', []);
        LogoController::deduplicateLogo('IA.png', ['iraqi-airways']);
        LogoController::deduplicateLogo('IB.png', ['iberia']);
        LogoController::deduplicateLogo('IC.png', []);
        LogoController::deduplicateLogo('IE.png', ['solomon-airlines']);
        LogoController::deduplicateLogo('IG.png', []);
        LogoController::deduplicateLogo('IR.png', ['iran-air']);
        LogoController::deduplicateLogo('IY.png', ['yemenia']);
        LogoController::deduplicateLogo('IZ.png', ['arkia-israeli-airlines']);
        LogoController::deduplicateLogo('J0.png', []);
        LogoController::deduplicateLogo('J2.png', ['azerbaijan-airlines']);
        LogoController::deduplicateLogo('J3.png', ['northwestern-air-lease']);
        LogoController::deduplicateLogo('J8.png', ['berjaya-air-sdn-bhd']);
        LogoController::deduplicateLogo('JG_1.png', ['jetgo']);
        LogoController::deduplicateLogo('JJ.png', ['tam-linhas-aereas']);
        LogoController::deduplicateLogo('JL.png', ['japan-airlines']);
        LogoController::deduplicateLogo('JV.png', ['bearskin-lake-air-lp']);
        LogoController::deduplicateLogo('K2.png', []);
        LogoController::deduplicateLogo('K3.png', []);
        LogoController::deduplicateLogo('KE.png', ['korean-air']);
        LogoController::deduplicateLogo('KL.png', ['klm']);
        LogoController::deduplicateLogo('KM.png', ['air-malta']);
        LogoController::deduplicateLogo('KU.png', ['kuwait-airways']);
        LogoController::deduplicateLogo('KX.png', ['cayman-airways']);
        LogoController::deduplicateLogo('L5.png', []);
        LogoController::deduplicateLogo('LA.png', ['lan-airlines']);
        LogoController::deduplicateLogo('LG.png', ['luxair']);
        LogoController::deduplicateLogo('LO.png', ['lot-polish-airlines']);
        LogoController::deduplicateLogo('LR.png', []);
        LogoController::deduplicateLogo('LT.png', []);
        LogoController::deduplicateLogo('LY.png', ['el-al-israel-airlines']);
        LogoController::deduplicateLogo('M0.png', ['aero-mongolia']);
        LogoController::deduplicateLogo('M3.png', []);
        LogoController::deduplicateLogo('M5.png', ['kenmore-air']);
        LogoController::deduplicateLogo('M9.png', ['motor-sich-jsc']);
        LogoController::deduplicateLogo('ME.png', ['mea']);
        LogoController::deduplicateLogo('MH.png', ['malaysia-airlines']);
        LogoController::deduplicateLogo('MK.png', ['air-mauritius']);
        LogoController::deduplicateLogo('MM.png', ['peach-aviation']);
        LogoController::deduplicateLogo('MN.png', []);
        LogoController::deduplicateLogo('MX.png', []);
        LogoController::deduplicateLogo('NH.png', ['all-nippon-airways']);
        LogoController::deduplicateLogo('O3.png', ['sf-airlines-limited']);
        LogoController::deduplicateLogo('O4.png', []);
        LogoController::deduplicateLogo('OA.png', ['olympic-air']);
        LogoController::deduplicateLogo('OM.png', ['miat-mongolian-airlines']);
        LogoController::deduplicateLogo('ON.png', ['nauru-air-corporation-t-a-our-airline']);
        LogoController::deduplicateLogo('OO.png', ['skywest-airlines']);
        LogoController::deduplicateLogo('OS.png', ['austrian']);
        LogoController::deduplicateLogo('P0.png', ['proflight-zambia']);
        LogoController::deduplicateLogo('P2.png', ['airkenya-express']);
        LogoController::deduplicateLogo('P5.png', []);
        LogoController::deduplicateLogo('P6.png', ['privilege-style-s-a']);
        LogoController::deduplicateLogo('PH.png', []);
        LogoController::deduplicateLogo('PK.png', ['pia']);
        LogoController::deduplicateLogo('PR.png', ['philippine-airlines']);
        LogoController::deduplicateLogo('PY.png', ['surinam-airways']);
        LogoController::deduplicateLogo('PZ.png', []);
        LogoController::deduplicateLogo('Q2.png', []);
        LogoController::deduplicateLogo('QF.png', ['qantas']);
        LogoController::deduplicateLogo('QI.png', []);
        LogoController::deduplicateLogo('QM.png', ['monacair']);
        LogoController::deduplicateLogo('R2.png', []);
        LogoController::deduplicateLogo('R7.png', []);
        LogoController::deduplicateLogo('RA.png', ['nepal-airlines-corporation']);
        LogoController::deduplicateLogo('RB.png', ['syrianair']);
        LogoController::deduplicateLogo('RJ.png', ['royal-jordanian']);
        LogoController::deduplicateLogo('RO.png', ['tarom']);
        LogoController::deduplicateLogo('RR.png', []);
        LogoController::deduplicateLogo('S2.png', []);
        LogoController::deduplicateLogo('S4.png', ['sata-internacional']);
        LogoController::deduplicateLogo('S7.png', ['s7-airlines']);
        LogoController::deduplicateLogo('SA.png', ['saa']);
        LogoController::deduplicateLogo('SD.png', ['sudan-airways']);
        LogoController::deduplicateLogo('SK.png', ['sas']);
        LogoController::deduplicateLogo('SN.png', ['brussels-airlines']);
        LogoController::deduplicateLogo('SU.png', ['aeroflot']);
        LogoController::deduplicateLogo('SV.png', ['saudi-arabian-airlines']);
        LogoController::deduplicateLogo('TG.png', ['thai-airways-international']);
        LogoController::deduplicateLogo('TK.png', ['thy-turkish-airlines']);
        LogoController::deduplicateLogo('TP.png', ['tap-portugal']);
        LogoController::deduplicateLogo('TU.png', ['tunisair']);
        LogoController::deduplicateLogo('TY.png', ['air-caledonie']);
        LogoController::deduplicateLogo('U2.png', ['easyjet']);
        LogoController::deduplicateLogo('U5.png', []);
        LogoController::deduplicateLogo('U6.png', ['ural-airlines']);
        LogoController::deduplicateLogo('UT.png', ['utair']);
        LogoController::deduplicateLogo('UU.png', ['air-austral']);
        LogoController::deduplicateLogo('V0.png', ['conviasa']);
        LogoController::deduplicateLogo('V7.png', ['volotea']);
        LogoController::deduplicateLogo('VA_2.png', ['v-australia']);
        LogoController::deduplicateLogo('VO.png', []);
        LogoController::deduplicateLogo('VR.png', ['tacv-cabo-verde-airlines']);
        LogoController::deduplicateLogo('VT.png', ['air-tahiti']);
        LogoController::deduplicateLogo('W5.png', ['mahan-air']);
        LogoController::deduplicateLogo('WF.png', ['wideroe']);
        LogoController::deduplicateLogo('WM.png', []);
        LogoController::deduplicateLogo('WY.png', ['oman-air']);
        LogoController::deduplicateLogo('X1.png', []);
        LogoController::deduplicateLogo('X7.png', []);
        LogoController::deduplicateLogo('XQ.png', ['sunexpress']);
        LogoController::deduplicateLogo('XR_1.png', ['skywest']);
        LogoController::deduplicateLogo('XZ.png', []);
        LogoController::deduplicateLogo('Y3.png', []);
        LogoController::deduplicateLogo('Y8.png', []);
        LogoController::deduplicateLogo('Y9.png', []);
        LogoController::deduplicateLogo('YB.png', []);
        LogoController::deduplicateLogo('YG.png', ['yto-cargo-airlines']);
        LogoController::deduplicateLogo('YL.png', ['libyan-wings']);
        LogoController::deduplicateLogo('YN.png', ['air-creebec-1994']);
        LogoController::deduplicateLogo('YR.png', ['grand-canyon-airlines']);
        LogoController::deduplicateLogo('YS.png', []);
        LogoController::deduplicateLogo('YV.png', ['mesa-airlines']);
        LogoController::deduplicateLogo('YX.png', ['republic-airline']);
        LogoController::deduplicateLogo('Z3.png', []);
        LogoController::deduplicateLogo('Z6.png', []);
        LogoController::deduplicateLogo('ZD.png', ['ewa-air']);
        LogoController::deduplicateLogo('ZK.png', []);
        LogoController::deduplicateLogo('ZW.png', ['air-wisconsin-airlines-corporation-awac']);
    }


    private function deDuplicateLogos(){
        LogoController::deduplicateLogo('VA.png', ['virgin-australia', 'virgin-australia-regional']);
        LogoController::deduplicateLogo('2A.png', []);
        LogoController::deduplicateLogo('2C.png', []);
        LogoController::deduplicateLogo('2D.png', []);
        LogoController::deduplicateLogo('2F.png', []);
        LogoController::deduplicateLogo('2G.png', []);
        LogoController::deduplicateLogo('2K.png', ['aerogal']);
        LogoController::deduplicateLogo('2L.png', ['helvetic-airways-ag']);
        LogoController::deduplicateLogo('2N.png', []);
        LogoController::deduplicateLogo('2S.png', []);
        LogoController::deduplicateLogo('2T.png', []);
        LogoController::deduplicateLogo('2U.png', []);
        LogoController::deduplicateLogo('2W.png', []);
        LogoController::deduplicateLogo('2Y.png', []);


        LogoController::deduplicateLogo('3A.png', []);
        LogoController::deduplicateLogo('3B.png', []);
        LogoController::deduplicateLogo('3C.png', []);
        LogoController::deduplicateLogo('3E.png', []);
        LogoController::deduplicateLogo('3G.png', []);
        LogoController::deduplicateLogo('3L.png', []);
        LogoController::deduplicateLogo('3N.png', ['air-urga']);
        LogoController::deduplicateLogo('3O.png', ['air-arabia-maroc']);
        LogoController::deduplicateLogo('3P.png', []);
        LogoController::deduplicateLogo('3T.png', ['tarco-air']);
        LogoController::deduplicateLogo('3V.png', ['tnt-airways-s-a']);
        LogoController::deduplicateLogo('3W.png', ['malawian-airlines-3w']);
        LogoController::deduplicateLogo('3Z.png', []);


        LogoController::deduplicateLogo('4A.png', []);
        LogoController::deduplicateLogo('4B.png', ['boutique-air']);
        LogoController::deduplicateLogo('4F.png', []);
        LogoController::deduplicateLogo('4H.png', []);
        LogoController::deduplicateLogo('4K.png', []);
        LogoController::deduplicateLogo('4L.png', []);
        LogoController::deduplicateLogo('4M.png', []);
        LogoController::deduplicateLogo('4O.png', []);
        LogoController::deduplicateLogo('4R.png', []);
        LogoController::deduplicateLogo('4S.png', []);
        LogoController::deduplicateLogo('4T.png', []);
        LogoController::deduplicateLogo('4U.png', []);
        LogoController::deduplicateLogo('4X.png', []);
        LogoController::deduplicateLogo('4Y.png', []);

        LogoController::deduplicateLogo('5B.png', []);
        LogoController::deduplicateLogo('5D.png', []);
        LogoController::deduplicateLogo('5F.png', ['fly-one-s-r-l']);
        LogoController::deduplicateLogo('5H.png', []);
        LogoController::deduplicateLogo('5H.png', []);
        LogoController::deduplicateLogo('5I.png', ['alsa-grupo-slu']);
        LogoController::deduplicateLogo('5L.png', ['asl-airlines-france']);
        LogoController::deduplicateLogo('5O.png', []);
        LogoController::deduplicateLogo('5R.png', ['rutaca-airlines']);
        LogoController::deduplicateLogo('5T.png', ['canadian-north']);
        LogoController::deduplicateLogo('5Y.png', ['atlas-air']);
        LogoController::deduplicateLogo('5Z.png', ['cemair']);

        LogoController::deduplicateLogo('6A.png', ['armenia-airways-aircompany-cjsc']);
        LogoController::deduplicateLogo('6B.png', ['tuifly-nordic-ab']);
        LogoController::deduplicateLogo('6D.png', []);
        LogoController::deduplicateLogo('6E.png', ['interglobe-aviation-dba-indigo']);
        LogoController::deduplicateLogo('6F.png', []);
        LogoController::deduplicateLogo('6G.png', []);
        LogoController::deduplicateLogo('6J.png', ['solaseed-air']);
        LogoController::deduplicateLogo('6K.png', []);
        LogoController::deduplicateLogo('6N.png', ['niger-airlines-s-a']);
        LogoController::deduplicateLogo('6P.png', []);
        LogoController::deduplicateLogo('6R.png', ['alrosa-air', 'alrosa-mirny-air-enterprise', 'open-joint-stock-alrosa-mirny-air-enterprise']);
        LogoController::deduplicateLogo('6V.png', []);

        LogoController::deduplicateLogo('7B.png', []);
        LogoController::deduplicateLogo('7C.png', ['jeju-air']);
        LogoController::deduplicateLogo('7E.png', ['sylt-air-gmbh']);
        LogoController::deduplicateLogo('7G.png', ['star-flyer']);
        LogoController::deduplicateLogo('7I.png', ['inselair']);
        LogoController::deduplicateLogo('7K.png', []);
        LogoController::deduplicateLogo('7L.png', ['silk-way-west-airlines']);
        LogoController::deduplicateLogo('7O.png', []);
        LogoController::deduplicateLogo('7P.png', ['air-panama-dba-parsa']);
        LogoController::deduplicateLogo('7Q.png', []);
        LogoController::deduplicateLogo('7T.png', []);
        LogoController::deduplicateLogo('7V.png', ['federal-air']);
        LogoController::deduplicateLogo('7W.png', ['wind-rose-aviation']);
        LogoController::deduplicateLogo('7Y.png', ['mann-yadanarpon-airlines']);
        LogoController::deduplicateLogo('7Z.png', ['']);

        LogoController::deduplicateLogo('8B.png', ['pt-transnusa-aviation-mandiri']);
        LogoController::deduplicateLogo('8C.png', ['']);
        LogoController::deduplicateLogo('8F.png', ['stp-airways']);
        LogoController::deduplicateLogo('8G.png', []);
        LogoController::deduplicateLogo('8H.png', ['bh-air']);
        LogoController::deduplicateLogo('8J.png', ['linea-aerea-eco-jet-s-a']);
        LogoController::deduplicateLogo('8K.png', ['k-mile-air']);
        LogoController::deduplicateLogo('8L.png', ['lucky-air']);
        LogoController::deduplicateLogo('8M.png', ['myanmar-airways-international']);
        LogoController::deduplicateLogo('8R.png', []);
        LogoController::deduplicateLogo('8S.png', []);
        LogoController::deduplicateLogo('8U.png', ['afriqiyah-airways']);
        LogoController::deduplicateLogo('8W.png', ['fly-all-ways', 'fly-always-n-v']);
        LogoController::deduplicateLogo('8Y.png', []);

        LogoController::deduplicateLogo('9D.png', []);
        LogoController::deduplicateLogo('9E.png', ['endeavor-air']);
        LogoController::deduplicateLogo('9F.png', []);
        LogoController::deduplicateLogo('9G.png', []);
        LogoController::deduplicateLogo('9H.png', ['chang-an-airlines']);
        LogoController::deduplicateLogo('9I.png', ['airline-allied-limited-dba-alliance-air']);
        LogoController::deduplicateLogo('9K.png', ['cape-air']);
        LogoController::deduplicateLogo('9N.png', ['tropic-air']);
        LogoController::deduplicateLogo('9P.png', []);
        LogoController::deduplicateLogo('9R.png', []);
        LogoController::deduplicateLogo('9S.png', []);
        LogoController::deduplicateLogo('9T.png', []);
        LogoController::deduplicateLogo('9V.png', ['c-a']);
        LogoController::deduplicateLogo('9X.png', ['southern-airways-express']);
        LogoController::deduplicateLogo('9Y.png', []);

        LogoController::deduplicateLogo('A2.png', []);
        LogoController::deduplicateLogo('A7.png', []);
        LogoController::deduplicateLogo('AD.png', ['azul-brazilian-airlines']);
        LogoController::deduplicateLogo('AE.png', ['mandarin-airlines']);
        LogoController::deduplicateLogo('AG.png', []);
        LogoController::deduplicateLogo('AJ.png', ['aztec-worldwide-airlines']);
        LogoController::deduplicateLogo('AK.png', ['airasia-berhad-dba-airasia']);
        LogoController::deduplicateLogo('AM.png', ['aeromexico']);
        LogoController::deduplicateLogo('AN.png', []);
        LogoController::deduplicateLogo('AO.png', []);
        LogoController::deduplicateLogo('AP.png', []);
        LogoController::deduplicateLogo('AQ.png', ['nine-air']);
        LogoController::deduplicateLogo('AW.png', ['africa-world-airlines']);
        LogoController::deduplicateLogo('AX.png', []);

        LogoController::deduplicateLogo('B3.png', ['bhutan-airlines']);
        LogoController::deduplicateLogo('B6.png', ['jetblue']);
        LogoController::deduplicateLogo('B7.png', []);
        LogoController::deduplicateLogo('BA.png', ['british-airways']);
        LogoController::deduplicateLogo('BB.png', ['seaborne-airlines']);
        LogoController::deduplicateLogo('BC.png', ['skymark-airlines']);
        LogoController::deduplicateLogo('BE.png', []);
        LogoController::deduplicateLogo('BF.png', []);
        LogoController::deduplicateLogo('BG.png', ['biman']);
        LogoController::deduplicateLogo('BH.png', []);
        LogoController::deduplicateLogo('BI.png', ['royal-brunei']);
        LogoController::deduplicateLogo('BJ.png', ['nouvelair']);
        LogoController::deduplicateLogo('BK.png', ['okay-airways']);
        LogoController::deduplicateLogo('BL.png', []);
        LogoController::deduplicateLogo('BM.png', []);
        LogoController::deduplicateLogo('BQ.png', []);
        LogoController::deduplicateLogo('BR.png', ['eva-air']);
        LogoController::deduplicateLogo('BS.png', ['us-bangla-airlines']);
        LogoController::deduplicateLogo('BT.png', ['air-baltic']);
        LogoController::deduplicateLogo('BU.png', ['compagnie-africaine-d-aviation-caa']);
        LogoController::deduplicateLogo('BV.png', []);
        LogoController::deduplicateLogo('BX.png', ['air-busan']);
        LogoController::deduplicateLogo('BZ.png', ['']);

        LogoController::deduplicateLogo('C3.png', ['trade-air']);
        LogoController::deduplicateLogo('C5.png', ['commutair']);
        LogoController::deduplicateLogo('C6.png', []);
        LogoController::deduplicateLogo('C7.png', ['cinnamon-air']);
        LogoController::deduplicateLogo('C8.png', ['cargolux-italia-s-p-a']);
        LogoController::deduplicateLogo('C9.png', []);
        LogoController::deduplicateLogo('CA.png', ['air-china']);
        LogoController::deduplicateLogo('CB.png', []);
        LogoController::deduplicateLogo('CD.png', ['corendon-dutch-airlines-b-v']);
        LogoController::deduplicateLogo('CE.png', ['chalair-aviation']);
        LogoController::deduplicateLogo('CF.png', ['china-postal-airlines']);
        LogoController::deduplicateLogo('CG.png', ['airlines-of-papua-new-guinea']);
        LogoController::deduplicateLogo('CH.png', []);
        LogoController::deduplicateLogo('CJ.png', ['ba-cityflyer']);
        LogoController::deduplicateLogo('CL.png', ['lufthansa-cityline']);
        LogoController::deduplicateLogo('CN.png', ['grand-china-air']);
        LogoController::deduplicateLogo('CO.png', []);
        LogoController::deduplicateLogo('CP.png', []);
        LogoController::deduplicateLogo('CQ.png', ['coastal-aviation', 'coastal-travels-cq']);
        LogoController::deduplicateLogo('CS.png', []);
        LogoController::deduplicateLogo('CV.png', ['cargolux-s-a']);
        LogoController::deduplicateLogo('CW.png', []);
        LogoController::deduplicateLogo('CZ.png', ['china-southern-airlines']);

        LogoController::deduplicateLogo('D2.png', ['severstal-aircompany']);
        LogoController::deduplicateLogo('D5.png', ['dhl-aero-expreso-s-a']);
        LogoController::deduplicateLogo('D7.png', ['airasia-x-berhad-dba-airasia-x', 'airasia-x-malaysia']);
        LogoController::deduplicateLogo('DD.png', ['nok-airlines-public-limited-dba-nok-air']);
        LogoController::deduplicateLogo('DG.png', []);
        LogoController::deduplicateLogo('DH.png', []);
        LogoController::deduplicateLogo('DI.png', []);
        LogoController::deduplicateLogo('DJ.png', []);
        LogoController::deduplicateLogo('DK.png', []);
        LogoController::deduplicateLogo('DM.png', []);
        LogoController::deduplicateLogo('DN.png', []);
        LogoController::deduplicateLogo('DO.png', []);
        LogoController::deduplicateLogo('DP.png', ['pobeda']);
        LogoController::deduplicateLogo('DQ.png', []);
        LogoController::deduplicateLogo('DR.png', ['ruili-airlines']);
        LogoController::deduplicateLogo('DS.png', ['easyjet-switzerland-s-a']);
        LogoController::deduplicateLogo('DU.png', []);
        LogoController::deduplicateLogo('DV.png', ['jsc-aircompany-scat']);
        LogoController::deduplicateLogo('DX.png', ['danish-air-transport']);
        LogoController::deduplicateLogo('DY.png', ['norwegian-air-shuttle-a-s']);
        LogoController::deduplicateLogo('DZ.png', ['donghai-airlines']);

        LogoController::deduplicateLogo('E2.png', ['eurowings-europe-gmbh']);
        LogoController::deduplicateLogo('E4.png', []);
        LogoController::deduplicateLogo('E5.png', ['air-arabia-egypt']);
        LogoController::deduplicateLogo('E6.png', []);
        LogoController::deduplicateLogo('E9.png', []);
        LogoController::deduplicateLogo('EA.png', []);
        LogoController::deduplicateLogo('EB.png', ['wamos-air']);
        LogoController::deduplicateLogo('EC.png', []);
        LogoController::deduplicateLogo('ED.png', ['airexplore']);
        LogoController::deduplicateLogo('EG.png', []);
        LogoController::deduplicateLogo('EH.png', ['ana-wings']);
        LogoController::deduplicateLogo('EJ.png', []);
        LogoController::deduplicateLogo('EK.png', ['emirates']);
        LogoController::deduplicateLogo('EN.png', []);
        LogoController::deduplicateLogo('EO.png', []);
        LogoController::deduplicateLogo('EP.png', ['iran-aseman-airlines']);
        LogoController::deduplicateLogo('EQ.png', []);
        LogoController::deduplicateLogo('ER.png', []);
        LogoController::deduplicateLogo('ES.png', []);
        LogoController::deduplicateLogo('EU.png', ['chengdu-airlines']);
        LogoController::deduplicateLogo('EW.png', ['eurowings']);
        LogoController::deduplicateLogo('EX.png', []);
        LogoController::deduplicateLogo('EY.png', ['etihad-airways']);
        LogoController::deduplicateLogo('EZ.png', ['sun-air-of-scandinavia-a-s']);


        LogoController::deduplicateLogo('F2.png', []);
        LogoController::deduplicateLogo('F4.png', []);
        LogoController::deduplicateLogo('F5.png', ['aerotranscargo']);
        LogoController::deduplicateLogo('F6.png', []);
        LogoController::deduplicateLogo('F7.png', []);
        LogoController::deduplicateLogo('F8.png', ['flair-airlines']);
        LogoController::deduplicateLogo('F9.png', ['frontier', 'frontier-airlines']);
        LogoController::deduplicateLogo('FA.png', ['safair']);
        LogoController::deduplicateLogo('FB.png', ['bulgaria-air']);
        LogoController::deduplicateLogo('FC.png', []);
        LogoController::deduplicateLogo('FD.png', ['thai-airasia']);
        LogoController::deduplicateLogo('FE.png', []);
        LogoController::deduplicateLogo('FH.png', ['freebird-airlines']);
        LogoController::deduplicateLogo('FL.png', []);
        LogoController::deduplicateLogo('FM.png', ['shanghai-airlines']);
        LogoController::deduplicateLogo('FN.png', ['fastjet-airlines']);
        LogoController::deduplicateLogo('FO.png', []);
        LogoController::deduplicateLogo('FP.png', []);
        LogoController::deduplicateLogo('FR.png', ['ryanair']);
        LogoController::deduplicateLogo('FS.png', []);
        LogoController::deduplicateLogo('FT.png', []);
        LogoController::deduplicateLogo('FU.png', ['fuzhou-airlines']);
        LogoController::deduplicateLogo('FV.png', ['rossiya-airlines']);
        LogoController::deduplicateLogo('FW.png', ['ibex-airlines']);
        LogoController::deduplicateLogo('FX.png', ['federal-express']);
        LogoController::deduplicateLogo('FY.png', ['flyfirefly-sdn-bhd']);
        LogoController::deduplicateLogo('FZ.png', ['flydubai']);

        LogoController::deduplicateLogo('G2.png', []);
        LogoController::deduplicateLogo('G3.png', ['gol-airlines']);
        LogoController::deduplicateLogo('G8.png', []);
        LogoController::deduplicateLogo('GC.png', []);
        LogoController::deduplicateLogo('GD.png', []);
        LogoController::deduplicateLogo('GE.png', []);
        LogoController::deduplicateLogo('GF.png', ['gulf-air']);
        LogoController::deduplicateLogo('GH.png', []);
        LogoController::deduplicateLogo('GI.png', []);
        LogoController::deduplicateLogo('GJ.png', ['zhejiang-loong-airlines']);
        LogoController::deduplicateLogo('GK.png', ['jetstar-japan']);
        LogoController::deduplicateLogo('GO.png', ['uls-airlines-cargo']);
        LogoController::deduplicateLogo('GP.png', []);
        LogoController::deduplicateLogo('GQ.png', ['sky-express-s-a']);
        LogoController::deduplicateLogo('GR.png', ['aurigny-air-limited']);
        LogoController::deduplicateLogo('GS.png', ['tianjin-airlines']);
        LogoController::deduplicateLogo('GT.png', ['air-guilin']);
        LogoController::deduplicateLogo('GV.png', []);
        LogoController::deduplicateLogo('GW.png', []);
        LogoController::deduplicateLogo('GX.png', ['guangxi-beibu-gulf-airlines']);
        LogoController::deduplicateLogo('GY.png', ['colorful-guizhou-airlines']);
        LogoController::deduplicateLogo('GZ.png', ['air-rarotonga']);

        LogoController::deduplicateLogo('H1.png', ['hahn-air-systems']);
        LogoController::deduplicateLogo('H4.png', []);
        LogoController::deduplicateLogo('H5.png', []);
        LogoController::deduplicateLogo('H6.png', ['bulgarian-air-charter']);
        LogoController::deduplicateLogo('H7.png', []);
        LogoController::deduplicateLogo('H8.png', []);
        LogoController::deduplicateLogo('H9.png', ['himalaya-airlines-pvt']);
        LogoController::deduplicateLogo('HB.png', []);
        LogoController::deduplicateLogo('HC.png', []);
        LogoController::deduplicateLogo('HD.png', ['air-do']);
        LogoController::deduplicateLogo('HE.png', []);
        LogoController::deduplicateLogo('HH.png', []);
        LogoController::deduplicateLogo('HJ.png', []);
        LogoController::deduplicateLogo('HK.png', ['skippers-aviation']);
        LogoController::deduplicateLogo('HM.png', ['air-seychelles']);
        LogoController::deduplicateLogo('HN.png', []);
        LogoController::deduplicateLogo('HO.png', ['juneyao-airlines']);
        LogoController::deduplicateLogo('HP.png', []);
        LogoController::deduplicateLogo('HQ.png', []);
        LogoController::deduplicateLogo('HR.png', ['hahn-air']);
        LogoController::deduplicateLogo('HT.png', []);
        LogoController::deduplicateLogo('HU.png', ['hainan-airlines']);
        LogoController::deduplicateLogo('HV.png', []);
        LogoController::deduplicateLogo('HW.png', ['north-wright-airways']);
        LogoController::deduplicateLogo('HX.png', ['hong-kong-airlines']);
        LogoController::deduplicateLogo('HY.png', ['uzbekistan-airways']);
        LogoController::deduplicateLogo('HZ.png', ['joint-stock-aurora-airlines']);


        LogoController::deduplicateLogo('I2.png', ['compania-operadora-de-corto-y-medio-radio-iberia-express']);
        LogoController::deduplicateLogo('I6.png', []);
        LogoController::deduplicateLogo('I8.png', ['izhavia-public-stock']);
        LogoController::deduplicateLogo('ID.png', ['pt-batik-air-indonesia']);
        LogoController::deduplicateLogo('IF.png', []);
        LogoController::deduplicateLogo('IH.png', []);
        LogoController::deduplicateLogo('IJ.png', ['spring-airlines-japan', 'spring-japan']);
        LogoController::deduplicateLogo('IK.png', []);
        LogoController::deduplicateLogo('IL.png', ['pt-trigana-air']);
        LogoController::deduplicateLogo('IN.png', ['nam-air']);
        LogoController::deduplicateLogo('IO.png', []);
        LogoController::deduplicateLogo('IP.png', []);
        LogoController::deduplicateLogo('IQ.png', []);
        LogoController::deduplicateLogo('IS.png', []);
        LogoController::deduplicateLogo('IT.png', ['tigerair-taiwan']);
        LogoController::deduplicateLogo('IU.png', []);
        LogoController::deduplicateLogo('IV.png', []);
        LogoController::deduplicateLogo('IW.png', ['pt-wings-abadi-airlines']);
        LogoController::deduplicateLogo('IX.png', []);

        LogoController::deduplicateLogo('J1.png', []);
        LogoController::deduplicateLogo('J4.png', ['badr-airlines']);
        LogoController::deduplicateLogo('J5.png', ['alaska-seaplane', 'alaska-seaplane-j5']);
        LogoController::deduplicateLogo('J6.png', ['japan-air-commuter']);
        LogoController::deduplicateLogo('J7.png', []);
        LogoController::deduplicateLogo('J9.png', ['jazeera-airways']);
        LogoController::deduplicateLogo('JA.png', []);
        LogoController::deduplicateLogo('JB.png', []);
        LogoController::deduplicateLogo('JC.png', ['japan-air-commuter']);
        LogoController::deduplicateLogo('JD.png', ['beijing-capital-airlines']);
        LogoController::deduplicateLogo('JE.png', ['mango-airlines-soc-trading-as-mango']);
        LogoController::deduplicateLogo('JG.png', []);
        LogoController::deduplicateLogo('JH.png', ['fuji-dream-airlines']);
        LogoController::deduplicateLogo('JI.png', []);
        LogoController::deduplicateLogo('JM.png', []);
        LogoController::deduplicateLogo('JP.png', []);
        LogoController::deduplicateLogo('JQ.png', ['jetstar-airways-pty']);
        LogoController::deduplicateLogo('JS.png', ['air-koryo']);
        LogoController::deduplicateLogo('JT.png', ['lion-airlines']);
        LogoController::deduplicateLogo('JU.png', ['air-serbia-a-d-beograd']);
        LogoController::deduplicateLogo('JX.png', []);
        LogoController::deduplicateLogo('JY.png', ['intercaribbean-airways']);
        LogoController::deduplicateLogo('JZ.png', []);

        LogoController::deduplicateLogo('K4.png', []);
        LogoController::deduplicateLogo('K6.png', ['cambodia-angkor-air-t-a-cambodia-angkor-air']);
        LogoController::deduplicateLogo('K7.png', []);
        LogoController::deduplicateLogo('K9.png', []);
        LogoController::deduplicateLogo('KA.png', []);
        LogoController::deduplicateLogo('KB.png', ['druk-air-corporation']);
        LogoController::deduplicateLogo('KC.png', ['air-astana']);
        LogoController::deduplicateLogo('KD.png', []);
        LogoController::deduplicateLogo('KG.png', []);
        LogoController::deduplicateLogo('KK.png', []);
        LogoController::deduplicateLogo('KN.png', []);
        LogoController::deduplicateLogo('KP.png', []);
        LogoController::deduplicateLogo('KQ.png', ['kenya-airways']);
        LogoController::deduplicateLogo('KR.png', []);
        LogoController::deduplicateLogo('KS.png', []);
        LogoController::deduplicateLogo('KT.png', []);
        LogoController::deduplicateLogo('KV.png', []);
        LogoController::deduplicateLogo('KW.png', []);
        LogoController::deduplicateLogo('KY.png', ['kunming-airlines']);
        LogoController::deduplicateLogo('KZ.png', ['nippon-cargo-airlines-nca']);

        LogoController::deduplicateLogo('L2.png', []);
        LogoController::deduplicateLogo('L3.png', ['dhl-de-guatemala-s-a']);
        LogoController::deduplicateLogo('L6.png', ['mauritanian-airlines-international']);
        LogoController::deduplicateLogo('L7.png', []);
        LogoController::deduplicateLogo('L8.png', []);
        LogoController::deduplicateLogo('LB.png', []);
        LogoController::deduplicateLogo('LC.png', []);
        LogoController::deduplicateLogo('LD.png', []);
        LogoController::deduplicateLogo('LF.png', []);
        LogoController::deduplicateLogo('LH.png', ['lufthansa', 'lufthansa-cargo']);
        LogoController::deduplicateLogo('LJ.png', ['jin-air']);
        LogoController::deduplicateLogo('LK.png', ['lao-skyway']);
        LogoController::deduplicateLogo('LL.png', []);
        LogoController::deduplicateLogo('LM.png', ['loganair']);
        LogoController::deduplicateLogo('LN.png', ['libyan-airlines']);
        LogoController::deduplicateLogo('LP.png', []);
        LogoController::deduplicateLogo('LS.png', ['jet2-com']);
        LogoController::deduplicateLogo('LU.png', []);
        LogoController::deduplicateLogo('LW.png', []);
        LogoController::deduplicateLogo('LX.png', ['swiss']);
        LogoController::deduplicateLogo('LZ.png', []);

        LogoController::deduplicateLogo('M2.png', []);
        LogoController::deduplicateLogo('M4.png', ['mistral-air']);
        LogoController::deduplicateLogo('M7.png', ['mas-air']);
        LogoController::deduplicateLogo('M8.png', []);
        LogoController::deduplicateLogo('MB.png', []);
        LogoController::deduplicateLogo('MD.png', ['air-madagascar']);
        LogoController::deduplicateLogo('MF.png', ['xiamen-airlines']);
        LogoController::deduplicateLogo('MG.png', []);
        LogoController::deduplicateLogo('MI.png', []);
        LogoController::deduplicateLogo('MJ.png', []);
        LogoController::deduplicateLogo('ML.png', []);
        LogoController::deduplicateLogo('MO.png', ['calm-air-international']);
        LogoController::deduplicateLogo('MQ.png', ['envoy-air']);
        LogoController::deduplicateLogo('MR.png', ['hunnu-air']);
        LogoController::deduplicateLogo('MS.png', ['egyptair']);
        LogoController::deduplicateLogo('MT.png', []);
        LogoController::deduplicateLogo('MU.png', ['china-eastern']);
        LogoController::deduplicateLogo('MV.png', []);
        LogoController::deduplicateLogo('MW.png', []);
        LogoController::deduplicateLogo('MY.png', []);
        LogoController::deduplicateLogo('MZ.png', ['amakusa-airlines']);

        LogoController::deduplicateLogo('N2.png', []);
        LogoController::deduplicateLogo('N3.png', []);
        LogoController::deduplicateLogo('N4.png', ['nord-wind']);
        LogoController::deduplicateLogo('N5.png', []);
        LogoController::deduplicateLogo('N7.png', []);
        LogoController::deduplicateLogo('N8.png', ['national-airlines']);
        LogoController::deduplicateLogo('N9.png', []);
        LogoController::deduplicateLogo('NA.png', []);
        LogoController::deduplicateLogo('NB.png', []);
        LogoController::deduplicateLogo('NE.png', ['nesma-airlines']);
        LogoController::deduplicateLogo('NF.png', ['air-vanuatu-operations']);
        LogoController::deduplicateLogo('NG.png', ['']);
        LogoController::deduplicateLogo('NI.png', []);
        LogoController::deduplicateLogo('NJ.png', []);
        LogoController::deduplicateLogo('NK.png', ['spirit', 'spirit-airlines']);
        LogoController::deduplicateLogo('NL.png', []);
        LogoController::deduplicateLogo('NM.png', []);
        LogoController::deduplicateLogo('NN.png', []);
        LogoController::deduplicateLogo('NO.png', []);
        LogoController::deduplicateLogo('NP.png', ['nile-air']);
        LogoController::deduplicateLogo('NQ.png', []);
        LogoController::deduplicateLogo('NR.png', []);
        LogoController::deduplicateLogo('NS.png', ['hebei-airlines']);
        LogoController::deduplicateLogo('NT.png', ['binter-canarias']);
        LogoController::deduplicateLogo('NU.png', []);
        LogoController::deduplicateLogo('NX.png', ['air-macau']);
        LogoController::deduplicateLogo('NZ.png', ['air-new-zealand']);

        LogoController::deduplicateLogo('O9.png', []);
        LogoController::deduplicateLogo('OB.png', ['boliviana-de-aviacion-boa']);
        LogoController::deduplicateLogo('OC.png', ['oriental-air-bridge']);
        LogoController::deduplicateLogo('OD.png', ['malindo-airways-sdn-bhd-malindo-a']);
        LogoController::deduplicateLogo('OE.png', []);
        LogoController::deduplicateLogo('OF.png', []);
        LogoController::deduplicateLogo('OI.png', ['hinterland-aviation-pty']);
        LogoController::deduplicateLogo('OJ.png', []);
        LogoController::deduplicateLogo('OL.png', []);
        LogoController::deduplicateLogo('OP.png', []);
        LogoController::deduplicateLogo('OQ.png', ['chongqing-airlines']);
        LogoController::deduplicateLogo('OR.png', ['arkefly']);
        LogoController::deduplicateLogo('OU.png', ['croatia-airlines']);
        LogoController::deduplicateLogo('OV.png', []);
        LogoController::deduplicateLogo('OW.png', []);
        LogoController::deduplicateLogo('OY.png', []);
        LogoController::deduplicateLogo('OZ.png', ['asiana']);

        LogoController::deduplicateLogo('P3.png', []);
        LogoController::deduplicateLogo('P4.png', []);
        LogoController::deduplicateLogo('P7.png', []);
        LogoController::deduplicateLogo('P8.png', ['sprintair-sa']);
        LogoController::deduplicateLogo('PA.png', ['airblue']);
        LogoController::deduplicateLogo('PB.png', []);
        LogoController::deduplicateLogo('PC.png', ['pegasus-airlines']);
        LogoController::deduplicateLogo('PD.png', ['porter-airlines']);
        LogoController::deduplicateLogo('PE.png', []);
        LogoController::deduplicateLogo('PF.png', []);
        LogoController::deduplicateLogo('PG.png', ['bangkok-air']);
        LogoController::deduplicateLogo('PI.png', ['polar-airlines-ojsc']);
        LogoController::deduplicateLogo('PJ.png', ['air-saint-pierre']);
        LogoController::deduplicateLogo('PL.png', ['southern-air-charter']);
        LogoController::deduplicateLogo('PM.png', ['canary-fly']);
        LogoController::deduplicateLogo('PN.png', ['china-west-air']);
        LogoController::deduplicateLogo('PO.png', ['polar-air-cargo-worldwide']);
        LogoController::deduplicateLogo('PQ.png', []);
        LogoController::deduplicateLogo('PS.png', ['ukraine-international-airlines']);
        LogoController::deduplicateLogo('PT.png', ['piedmont-airlines']);
        LogoController::deduplicateLogo('PU.png', ['s-a']);
        LogoController::deduplicateLogo('PV.png', []);
        LogoController::deduplicateLogo('PW.png', []);
        LogoController::deduplicateLogo('PX.png', ['air-niugini']);

        LogoController::deduplicateLogo('Q3.png', ['anguilla-air']);
        LogoController::deduplicateLogo('Q4.png', []);
        LogoController::deduplicateLogo('Q5.png', []);
        LogoController::deduplicateLogo('Q6.png', []);
        LogoController::deduplicateLogo('Q7.png', []);
        LogoController::deduplicateLogo('Q9.png', []);
        LogoController::deduplicateLogo('QB.png', ['qeshm-air']);
        LogoController::deduplicateLogo('QC.png', []);
        LogoController::deduplicateLogo('QG.png', ['pt-citilink-indonesia']);
        LogoController::deduplicateLogo('QH.png', []);
        LogoController::deduplicateLogo('QK.png', ['jazz-aviation-lp']);
        LogoController::deduplicateLogo('QL.png', ['laser-airlines']);
        LogoController::deduplicateLogo('QN.png', []);
        LogoController::deduplicateLogo('QP.png', []);
        LogoController::deduplicateLogo('QQ.png', ['alliance-airlines']);
        LogoController::deduplicateLogo('QR.png', ['qatar-airways']);
        LogoController::deduplicateLogo('QS.png', ['smartwings']);
        LogoController::deduplicateLogo('QT.png', []);
        LogoController::deduplicateLogo('QU.png', []);
        LogoController::deduplicateLogo('QV.png', ['lao-airlines']);
        LogoController::deduplicateLogo('QW.png', ['qingdao-airlines']);
        LogoController::deduplicateLogo('QX.png', ['horizon-air-industries']);
        LogoController::deduplicateLogo('QZ.png', ['airasia-indonesia']);

        LogoController::deduplicateLogo('R3.png', []);
        LogoController::deduplicateLogo('R4.png', []);
        LogoController::deduplicateLogo('R5.png', ['jordan-aviation']);
        LogoController::deduplicateLogo('R6.png', []);
        LogoController::deduplicateLogo('R8.png', []);
        LogoController::deduplicateLogo('RC.png', ['atlantic-airways']);
        LogoController::deduplicateLogo('RD.png', []);
        LogoController::deduplicateLogo('RF.png', []);
        LogoController::deduplicateLogo('RG.png', ['rotana-jet-aviation-dba-rotana-jet']);
        LogoController::deduplicateLogo('RH.png', []);
        LogoController::deduplicateLogo('RI.png', []);
        LogoController::deduplicateLogo('RK.png', []);
        LogoController::deduplicateLogo('RN.png', []);
        LogoController::deduplicateLogo('RP.png', []);
        LogoController::deduplicateLogo('RQ.png', ['kam-air']);
        LogoController::deduplicateLogo('RS.png', []);
        LogoController::deduplicateLogo('RT.png', []);
        LogoController::deduplicateLogo('RV.png', ['air-canada-rouge']);
        LogoController::deduplicateLogo('RW.png', []);
        LogoController::deduplicateLogo('RX.png', []);
        LogoController::deduplicateLogo('RY.png', ['jiangxi-air-limited-dba-jiangxi-air']);
        LogoController::deduplicateLogo('RZ.png', ['servicios-aereos-nacionales-s-a-sansa']);

        LogoController::deduplicateLogo('S1.png', ['lufthansa-systems-ag']);
        LogoController::deduplicateLogo('S5.png', []);
        LogoController::deduplicateLogo('S6.png', ['sunrise-airways-s-a']);
        LogoController::deduplicateLogo('S8.png', ['sounds-air-travel-tourism']);
        LogoController::deduplicateLogo('SB.png', ['aircalin']);
        LogoController::deduplicateLogo('SC.png', ['shandong-airlines']);
        LogoController::deduplicateLogo('SE.png', []);
        LogoController::deduplicateLogo('SF.png', ['tassili-airlines']);
        LogoController::deduplicateLogo('SG.png', ['spicejet']);
        LogoController::deduplicateLogo('SH.png', ['sharp-airlines']);
        LogoController::deduplicateLogo('SJ.png', ['pt-sriwijaya-air']);
        LogoController::deduplicateLogo('SL.png', ['thai-lion-air', 'thai-lion-mentari']);
        LogoController::deduplicateLogo('SM.png', ['air-cairo']);
        LogoController::deduplicateLogo('SO.png', []);
        LogoController::deduplicateLogo('SP.png', ['sata-air-acores']);
        LogoController::deduplicateLogo('SQ.png', ['sia-cargo']);
        LogoController::deduplicateLogo('SS.png', ['corsair']);
        LogoController::deduplicateLogo('ST.png', []);
        LogoController::deduplicateLogo('SY.png', []);
        LogoController::deduplicateLogo('SZ.png', ['aircompany-somon-air']);

        LogoController::deduplicateLogo('T2.png', []);
        LogoController::deduplicateLogo('T5.png', ['turkmenistan-airlines']);
        LogoController::deduplicateLogo('T6.png', ['island-transvoyager']);
        LogoController::deduplicateLogo('T7.png', ['twin-jet']);
        LogoController::deduplicateLogo('T9.png', ['turpial']);
        LogoController::deduplicateLogo('TA.png', []);
        LogoController::deduplicateLogo('TB.png', ['tui-airlines-belgium-t-a-jetairfly']);
        LogoController::deduplicateLogo('TC.png', ['air-tanzania-ltd']);
        LogoController::deduplicateLogo('TD.png', []);
        LogoController::deduplicateLogo('TE.png', ['sky-taxi-sp-z-o-o']);
        LogoController::deduplicateLogo('TF.png', ['braathens-regional-aviation-ab']);
        LogoController::deduplicateLogo('TH.png', []);
        LogoController::deduplicateLogo('TI.png', ['tailwind-hava-yollari-a-s']);
        LogoController::deduplicateLogo('TJ.png', ['tradewind-aviation']);
        LogoController::deduplicateLogo('TL.png', []);
        LogoController::deduplicateLogo('TM.png', ['lam']);
        LogoController::deduplicateLogo('TN.png', ['air-tahiti-nui']);
        LogoController::deduplicateLogo('TO.png', ['transavia-france']);
        LogoController::deduplicateLogo('TR.png', ['scoot-private']);
        LogoController::deduplicateLogo('TS.png', ['air-transat']);
        LogoController::deduplicateLogo('TT.png', []);
        LogoController::deduplicateLogo('TV.png', ['tibet-airlines-corporation']);
        LogoController::deduplicateLogo('TW.png', ['t-way-air']);
        LogoController::deduplicateLogo('TX.png', ['air-caraibes']);
        LogoController::deduplicateLogo('TZ.png', ['tsaradia']);

        LogoController::deduplicateLogo('U4.png', ['buddha-air']);
        LogoController::deduplicateLogo('U7.png', ['uniworld-air-cargo-corp']);
        LogoController::deduplicateLogo('U8.png', ['tus-airways']);
        LogoController::deduplicateLogo('UA.png', ['united-airlines']);
        LogoController::deduplicateLogo('UB.png', ['myanmar-national-airlines']);
        LogoController::deduplicateLogo('UC.png', []);
        LogoController::deduplicateLogo('UD.png', []);
        LogoController::deduplicateLogo('UF.png', []);
        LogoController::deduplicateLogo('UG.png', ['tunisair-express']);
        LogoController::deduplicateLogo('UI.png', ['auric-air-limited']);
        LogoController::deduplicateLogo('UJ.png', []);
        LogoController::deduplicateLogo('UL.png', ['srilankan-airlines']);
        LogoController::deduplicateLogo('UM.png', ['air-zimbabwe-pvt']);
        LogoController::deduplicateLogo('UN.png', []);
        LogoController::deduplicateLogo('UO.png', ['hong-kong-express-airways']);
        LogoController::deduplicateLogo('UP.png', ['bahamasair']);
        LogoController::deduplicateLogo('UQ.png', ['urumqi-airlines']);
        LogoController::deduplicateLogo('UR.png', []);
        LogoController::deduplicateLogo('US.png', ['us-airways']);
        LogoController::deduplicateLogo('UX.png', ['air-europa']);
        LogoController::deduplicateLogo('UY.png', []);
        LogoController::deduplicateLogo('UZ.png', ['buraq-air']);

        LogoController::deduplicateLogo('V3.png', ['carpatair']);
        LogoController::deduplicateLogo('V5.png', []);
        LogoController::deduplicateLogo('V6.png', []);
        LogoController::deduplicateLogo('V8.png', []);
        LogoController::deduplicateLogo('VB.png', ['aeroenlaces-nacionales-s-a-de-c-v']);
        LogoController::deduplicateLogo('VC.png', []);
        LogoController::deduplicateLogo('VD.png', []);
        LogoController::deduplicateLogo('VE.png', []);
        LogoController::deduplicateLogo('VF.png', []);
        LogoController::deduplicateLogo('VJ.png', ['vietjet-aviation-joint-stock']);
        LogoController::deduplicateLogo('VK.png', []);
        LogoController::deduplicateLogo('VL.png', []);
        LogoController::deduplicateLogo('VM.png', ['max-air']);
        LogoController::deduplicateLogo('VN.png', ['vietnam-airlines']);
        LogoController::deduplicateLogo('VP.png', ['flyme']);
        LogoController::deduplicateLogo('VQ.png', ['novoair']);
        LogoController::deduplicateLogo('VS.png', ['virgin-atlantic']);
        LogoController::deduplicateLogo('VU.png', []);
        LogoController::deduplicateLogo('VV.png', []);
        LogoController::deduplicateLogo('VX.png', ['virgin-america']);
        LogoController::deduplicateLogo('VY.png', ['vueling']);
        LogoController::deduplicateLogo('VZ.png', []);

        LogoController::deduplicateLogo('W2.png', ['flexflight-aps']);
        LogoController::deduplicateLogo('W3.png', ['arik-air']);
        LogoController::deduplicateLogo('W4.png', []);
        LogoController::deduplicateLogo('W6.png', ['wizz-air']);
        LogoController::deduplicateLogo('W7.png', []);
        LogoController::deduplicateLogo('W8.png', ['cargojet-airways']);
        LogoController::deduplicateLogo('W9.png', []);
        LogoController::deduplicateLogo('WA.png', ['klm-cityhopper']);
        LogoController::deduplicateLogo('WB.png', ['rwandair']);
        LogoController::deduplicateLogo('WD.png', []);
        LogoController::deduplicateLogo('WE.png', []);
        LogoController::deduplicateLogo('WH.png', []);
        LogoController::deduplicateLogo('WI.png', []);
        LogoController::deduplicateLogo('WJ.png', []);
        LogoController::deduplicateLogo('WK.png', ['edelweiss-air']);
        LogoController::deduplicateLogo('WL.png', []);
        LogoController::deduplicateLogo('WN.png', ['southwest-airlines']);
        LogoController::deduplicateLogo('WO.png', []);
        LogoController::deduplicateLogo('WP.png', []);
        LogoController::deduplicateLogo('WR.png', ['westjet-encore']);
        LogoController::deduplicateLogo('WS.png', ['westjet']);
        LogoController::deduplicateLogo('WT.png', []);
        LogoController::deduplicateLogo('WU.png', []);
        LogoController::deduplicateLogo('WV.png', []);
        LogoController::deduplicateLogo('WW.png', []);
        LogoController::deduplicateLogo('WZ.png', ['airlines-400']);

        LogoController::deduplicateLogo('X3.png', ['tuifly']);
        LogoController::deduplicateLogo('X4.png', []);
        LogoController::deduplicateLogo('X5.png', []);
        LogoController::deduplicateLogo('X9.png', ['jsc-avion-express']);
        LogoController::deduplicateLogo('XC.png', ['corendon-airlines']);
        LogoController::deduplicateLogo('XD.png', []);
        LogoController::deduplicateLogo('XE.png', []);
        LogoController::deduplicateLogo('XF.png', []);
        LogoController::deduplicateLogo('XJ.png', ['thai-airasia-x-limited']);
        LogoController::deduplicateLogo('XK.png', ['air-corsica']);
        LogoController::deduplicateLogo('XL.png', []);
        LogoController::deduplicateLogo('XM.png', ['zimex-aviation']);
        LogoController::deduplicateLogo('XN.png', []);
        LogoController::deduplicateLogo('XO.png', ['south-east-asian-airlines-seair-international']);
        LogoController::deduplicateLogo('XP.png', []);
        LogoController::deduplicateLogo('XT.png', []);
        LogoController::deduplicateLogo('XY.png', ['national-air-dba-flynas']);

        LogoController::deduplicateLogo('Y2.png', ['air-century']);
        LogoController::deduplicateLogo('Y4.png', ['volaris']);
        LogoController::deduplicateLogo('Y5.png', []);
        LogoController::deduplicateLogo('Y6.png', ['ab-aviation']);
        LogoController::deduplicateLogo('Y7.png', []);
        LogoController::deduplicateLogo('YC.png', []);
        LogoController::deduplicateLogo('YD.png', []);
        LogoController::deduplicateLogo('YE.png', ['yanair']);
        LogoController::deduplicateLogo('YI.png', []);
        LogoController::deduplicateLogo('YK.png', ['avia-traffic']);
        LogoController::deduplicateLogo('YP.png', []);
        LogoController::deduplicateLogo('YQ.png', []);
        LogoController::deduplicateLogo('YT.png', ['yeti-airlines']);
        LogoController::deduplicateLogo('YU.png', ['euroatlantic-airways']);
        LogoController::deduplicateLogo('YW.png', ['air-nostrum']);

        LogoController::deduplicateLogo('Z2.png', []);
        LogoController::deduplicateLogo('Z7.png', []);
        LogoController::deduplicateLogo('ZA.png', ['sky-angkor-airlines']);
        LogoController::deduplicateLogo('ZE.png', ['eastar-jet']);
        LogoController::deduplicateLogo('ZF.png', ['azur-air-liability']);
        LogoController::deduplicateLogo('ZG.png', []);
        LogoController::deduplicateLogo('ZH.png', ['shenzhen-airlines']);
        LogoController::deduplicateLogo('ZL.png', ['rex-regional-express']);
        LogoController::deduplicateLogo('ZM.png', ['air-manas-dba-air-manas-air']);
        LogoController::deduplicateLogo('ZN.png', []);
        LogoController::deduplicateLogo('ZP.png', []);
        LogoController::deduplicateLogo('ZQ.png', []);
        LogoController::deduplicateLogo('ZT.png', ['titan-airways']);
        LogoController::deduplicateLogo('ZV.png', []);
        LogoController::deduplicateLogo('ZX.png', []);
        LogoController::deduplicateLogo('ZY.png', []);
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
